
QGIS Application - Feature request #1824

Make the Ctrl++ Ctrl+- shortcuts to zoom, not just change the tool

2009-07-31 06:21 AM - alobo -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11884

Description

Shortcuts Ctrl++ and Ctrl+- 

just change to a @+ or - sign, but do not

actually zoom

Related issues:

Related to QGIS Application - Bug report # 14958: I can't save my own keyboar... Closed 2016-06-05

Associated revisions

Revision 1b2af79c - 2016-05-31 11:43 PM - Nyall Dawson

Ctrl zoom (#3154)

    -  Switch QgsMapCanvas zoomIn and zoomOut to slots

    -  Change shortcuts to zoom in/out tool to Ctrl+Alt +/-, and

make Ctrl + and Ctrl - trigger an immediate zoom in/out

Having Ctrl +/- perform an immediate zoom in/out is standard

across almost all apps with a zoom facility, so we should

respect that same behaviour.

This change also helps bring canvas and composer behaviour

closer together.

(fix #1824)

History

#1 - 2009-07-31 07:27 AM - nikos -

Agree! It would be useful also for non-field work I think.

Note that for some keyboards Ctrl++ is actually Ctrl+Shift++ or then it could be Ctrl+= (this is because many keyboard layouts have the "+" above the "="

sign).

Nikos

#2 - 2009-08-04 10:44 AM - Giovanni Manghi

it doesn't zoom and changing the shortcuts doesn't solve the problem.
#3 - 2009-08-04 10:48 AM - Borys Jurgiel

They don't zoom and it's intentional - they just activate the mouse zoom tool.

#4 - 2009-08-04 10:52 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to wontfix

Replying to [comment:4 borysiasty]:

They don't zoom and it's intentional - they just activate the mouse zoom tool.

well... the important is to know it! :)

#5 - 2009-08-09 02:36 AM - alobo -

I think that this behavior is not useful, having a keyboard

shortcut that implies using the mouse afterwards does not

make sense. By default, I would link Ctrl++ to zoom in and re-center

to current cursor position, and leave

[[PageUp]]  as it is (zooming with no re-centering).

Agus

#6 - 2009-09-09 01:26 AM - alobo -

- Status changed from Closed to Feedback

- Resolution deleted (wontfix)

I'm re-opening this because

I find the current behavior (just changing the

cursor icon to + or - but not actually doing

anything) pretty useless, and, any case, in contradiction

with what is said in the Configure Shortcuts lists:

there it says

Action: Zoom in

and the action is not zooming in. Instead,

Crl+SHft+F does not just change the cursor icon,

but actually does what is supposed to do, zooming

full.

At least, the next action after Ctrl++ could be just Return, thus

avoiding the use of the mouse, which is the goal

of a keyboard shortcut. But the ideal would be

just zooming in straight away after Ctrl++
Agus

#7 - 2010-05-14 06:57 AM - Charles Timko -

How about the first Ctrl++ sets the mouse control and then any Ctrl++ following that does the actual zooming in.  That way users who are familiar with just

pressing the Ctrl++ and then using their mouse can use it that way, and users who want this feature can still have it. [I know this is old, I am seeing if we

can close a few bug listings]

#8 - 2010-05-17 02:11 AM - alobo -

This sounds very reasonable!

Agus

Replying to [comment:8 ctimko]:

How about the first Ctrl++ sets the mouse control and then any Ctrl++ following that does the actual zooming in.  That way users who are familiar

with just pressing the Ctrl++ and then using their mouse can use it that way, and users who want this feature can still have it. [I know this is old, I am

seeing if we can close a few bug listings]

#9 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#10 - 2012-01-28 03:20 PM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Tracker changed from Bug report to Feature request

- Subject changed from Ctrl++ Ctrl+- do not work to Make the Ctrl++ Ctrl+- shortcuts to zoom, not just change the tool

- Status changed from Feedback to Open

- Assignee deleted (nobody -)

- Target version changed from Version 1.7.4 to Version 2.0.0

- Start date set to 2012-01-28

- Operating System deleted (All)

- Status info deleted (0)

New description: #1824-7

#11 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#12 - 2016-05-31 02:44 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"1b2af79c9657e704f62137d84a2f73ecae88b41f".
